int main(void)
{
    /* Builtin functions */
    double sin(double);

    /* Local variables */
    extern int iib8r_c(float *, float *, float *, float *, int *, int *,
                       float *, float *, float *, float *, float *,
                       float *, float *);
    static int i__, j, m, n;
    static float r__, u[5], y, x1, x2, ya[20] /* was [5][4] */,
               yt[4], x1a[5], x2a[4], y2a[20] /* was [5][4] */,
               yt1, y2t[5], yyt[5];
    int i__1, i__2;

#define ya_ref(a_1,a_2) ya[(a_2)*5 + a_1 - 6]
#define y2a_ref(a_1,a_2) y2a[(a_2)*5 + a_1 - 6]

    m = 5;
    n = 4;
    r__ = 0.f;
    i__1 = m;
    for (i__ = 1; i__ <= i__1; ++i__) {
        x1a[i__ - 1] = r__;
/* L1: */
        r__ += .1f;
    }
    r__ = 0.f;
    i__1 = n;
    for (i__ = 1; i__ <= i__1; ++i__) {
        x2a[i__ - 1] = r__;
/* L2: */
        r__ += .1f;
    }
    i__1 = m;
    for (i__ = 1; i__ <= i__1; ++i__) {
        i__2 = n;
        for (j = 1; j <= i__2; ++j) {
            ya_ref(i__, j) = (float)sin(x1a[i__ - 1]) * (float)sin(x2a[j - 1]);
/* L4: */
            y2a_ref(i__, j) = -ya_ref(i__, j);
        }
    }
    x1 = .55f;
    x2 = .65f;
    iib8r_c(x1a, x2a, ya, y2a, &m, &n, &x1, &x2, &y, yt, y2t, yyt, u);
    yt1 = (float)sin(x1) * (float)sin(x2);

    printf("\n %16.7e %16.7e \n",y, yt1);
    return 0;
} /* main */

#undef y2a_ref
#undef ya_ref
